package com.unis.crk.basic.mapper;

import com.unis.crk.basic.entity.FuncInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 功能信息表 Mapper 接口
 * </p>
 *
 * @author ghh
 * @since 2021-09-26
 */
@Repository
public interface FuncInfoMapper extends BaseMapper<FuncInfo> {

    List<FuncInfo> getFuncInfoByRoleId(@Param("roleId") String roleId);

    List<FuncInfo> getAllFuncInfo();

    FuncInfo getByFuncId(@Param("id") String id);

    List<FuncInfo> getFuncInfoByUserId(@Param("userId")String userId, @Param("isApp")String isApp);
}
